#{extends 'borderNG.html' /}
<ol class="breadcrumb">
	<li><a href="@{admin.FaqCtr.index()}">&{'faq.judul'}</a></li>
	<li class="active">&{'faq.editjwb'}</li>
</ol>

<div class="content">
#{alert /}
#{form @admin.FaqCtr.simpan(), method:'POST'}
    #{if faq?.faq_id}  *{ Jika FAQ sudah ada di database }*
    <input type="hidden" name="faq.faq_id" value="${faq.faq_id}" />
    <input type="hidden" name="faq.faq_status" value="${faq.faq_status}" />
        #{set dateFormat : new java.text.SimpleDateFormat("dd-MM-yyyy") /}
        #{set tglkirim : faq.faq_tglkirim /}
        <input type="hidden" name="faq.faq_tglkirim" value=${dateFormat.format(tglkirim)} />
    #{/if}
    #{if tambah}
        #{set sdf: new java.text.SimpleDateFormat("dd-MM-yyyy") /}
        #{set currDate: new Date() /}
        <input type="hidden" name="faq.faq_tglkirim" value="${sdf.format(currDate)}" />
    #{/if}
    #{if active_user.helpdesk} 
    <input type="hidden" name="faq.peg_id" value="${pegawai?.peg_id}" />
    #{/if}
    #{if jawabFaq} *{ Jika user klik tombol jawab tidak ada attribut input tambahan }*
    #{/if} 
     #{if !tambah}
          <input type="hidden" value="${faq?.faq_nama}" name="faq.faq_nama" />
                <input type="hidden" value="${faq?.faq_email}" name="faq.faq_email" />
      	
       <div class="form-group row">
	    <label class="col-lg-2 col-form-label">Pengirim<span class="warning"> *</span></label>
	    <div class="col-lg-10">
	   ${faq?.faq_nama} -&nbsp;${faq?.faq_email}
	    </div>
    </div>
#{/if}
#{else}   
       <!-- <input type="show" value="${username}" name="faq.faq_nama" /> -->
       <input type="hidden" value="${pegawai?.peg_nama}" name="faq.faq_nama" />
       <input type="hidden" value="${pegawai?.peg_email}" name="faq.faq_email" />
#{/else}
        <div class="form-group">
	    <label class="col-lg-2 control-label">&{'faq.pertanyaan'}<span class="warning"> *</span></label>
	    <div class="col-lg-10 #{errorClass 'faq.faq_pertanyaan'/}">
	  
	     <input type="text" value="${faq?.faq_pertanyaan}" minlength="7" name="faq.faq_pertanyaan" style="width:450px" class="form-control"" /> 
	      <span class="help-block">#{error 'faq.faq_pertanyaan' /}</span>
	  
	   
	    </div>
    </div>
     #{if !tambah}
       <div class="form-group">
	    <label class="col-lg-2 control-label">&{'faq.sudahpernah'}<span class="warning"> *</span></label>
	    <div class="col-lg-10">
	    
	      #{if faq?.sudahDijawab}
                <input type="checkbox" class="checkbox" name="chkSudahDijawab" checked  />  &{'faq.sudah'}
                #{/if}
                #{else}
                <input type="checkbox" class="checkbox" name="chkSudahDijawab" />&{'faq.sudahjawab'}
                #{/else}
              
	  
	    </div>
    </div>
     <div class="form-group">
	    <label class="col-lg-2 control-label">&{'faq.jawaban'}<span class="warning"> *</span></label>
	    <div class="col-lg-10 #{errorClass 'faq.faq_jawaban'/}">
	      <textarea name="faq.faq_jawaban" style="width:450px" rows="5"  id="jawaban" class="form-control" >${faq?.faq_jawaban}</textarea>
                <span class="warning">#{error 'faq.faq_jawaban' /}</span>
	  
	    </div>
    </div>
       #{/if}

	#{saveButton /}
    #{backButton action:@admin.FaqCtr.index() /}
#{/form}
</div>
